Bug 90893 - kernel source 2.4.20-8 does not build
kernel source 2.4.20-8 does not build
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 00:51 EDT by Ken Tindle
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Tindle 2003-05-15 00:51:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
The kernel source will build, but the 'rpm' make target
will bomb with non-existent "debug files".

%file file No such file or directory
rpm error 1

/var/tmp, /usr/src/redhat/BUILD and SPECS are normal
Gets almost to the end

This is gcc 3.2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd /usr/src/linux-2.4.20-8
2.make mrproper
3.cp ./configs/<i686smp file> ./.config
4.make menuconfig
Here I change some needed SCSI bits to be built-in
SCSI support, SCSI disk support, megaraid, aic7xxx
5.make dep
6.make clean
7.make rpm
8.lots of churning (of course), bombs rpm error 1

    

Additional info:
Comment 1 Arjan van de Ven 2003-05-15 03:57:37 EDT
that spec is LSB compliant....
Comment 2 Jeff Johnson 2003-05-15 06:27:03 EDT
"LSB compliant" invocation of make rpm? Must be related to
new O_DIRECT semantics, I'm unaware of any changes in this area ...

Fix the Makefile to invoke rpmbuild, not rpm. That's a kernel
packaging, not rpm, problem.
Comment 3 Michael Young 2003-05-15 07:25:30 EDT
Is this just the problem when rpm tries to make a default debug package and
fails because it isn't set up sufficiently? I am sure I have seen a workaround
where you turn off the debuginfo generation by setting the right rpm macro.
Comment 4 Michael Young 2003-05-15 07:30:10 EDT
This is the line I was thinking of
%debug_package          %{nil}
Comment 5 Michael Young 2003-05-15 07:47:35 EDT
Which translates to
%define  debug_package %{nil}
if you want to add it to the spec file
Comment 6 Ken Tindle 2003-05-15 15:59:00 EDT
Yes, this is a problem with the default debug package build failing.
Since the spec file is built dynamically, I am at a loss regarding
the concrete steps necessary to make this problem go away.

I would suggest that the kernel-source rpm should be fixed so that
it works straightaway, and you need to do something special to make
it fail.  Currently, it fails when you try to do expected things,
like make an install RPM file.
Comment 7 Michael Young 2003-05-15 18:58:29 EDT
I think you may be able to edit the kernel.spec once it has been created; if not
edit the file that generates it, scripts/mkspec , which is a very simple script.
Comment 8 Ken Tindle 2003-05-16 13:47:35 EDT
In scripts/mkspec I added as line 39:

echo "%define debug_package %{nil}"

Success!
Comment 9 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.